org.eclipse.jgit.internal.storage.file

## Class UnpackedObject

- java.lang.Object
- - org.eclipse.jgit.internal.storage.file.UnpackedObject

    public class UnpackedObject
    extends Object

Loose object loader. This class loads an object not stored in a pack.

### Constructor Summary

Constructors
Constructor and Description
`UnpackedObject()`

### Method Summary

Methods
`static ObjectLoader` `parse(byte[] raw, AnyObjectId id)` Parse an object from the unpacked object format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnpackedObject

    public UnpackedObject()

### Method Detail

#### parse

    public static ObjectLoader parse(byte[] raw,
                     AnyObjectId id)
                              throws IOException

Parse an object from the unpacked object format.

Parameters:
  `raw` - complete contents of the compressed object.
  `id` - expected ObjectId of the object, used only for error reporting in exceptions.
Returns:
  loader to read the inflated contents.
Throws:
  `IOException` - the object cannot be parsed.